#!/bin/sh
normal="\e[39m"
lightred="\e[91m"
lightgreen="\e[92m"
green="\e[32m"
yellow="\e[33m"
cyan="\e[36m"
red="\e[31m"
magenta="\e[95m"
IP=192.168.42.150

echo -ne $lightgreen
echo Configure camera
echo -ne $normal
rpicam /dev/i2c-5
rc=$?
# rc = 0 - No camera found
# rc = 1 - Camera v1.3
# rc = 3 - Camera v2.1
if [ $rc -ne 0 ]
then
	echo -ne $lightgreen
	echo "Enable Video stream"
	echo -ne $normal
	# 0x43c10040 Bit 0 - Enable Video stream
	# 0x43c10040 Bit 1 - Camera red/blue pixels swap option
	devmem 0x43c10040 32 $rc
fi

echo -ne $lightgreen
echo Load audio driver
echo -ne $normal
# Custom audio driver 
modprobe te-audio-codec
# Fix  /etc/asound.conf to work with loadable driver
echo 'pcm.!default {' >> /etc/asound.conf
echo '        type plug' >> /etc/asound.conf
echo '        slave {' >> /etc/asound.conf
echo '                pcm "hw:0,0"' >> /etc/asound.conf
echo '        }' >> /etc/asound.conf
echo '}' >> /etc/asound.conf
echo '' >> /etc/asound.conf
echo 'ctl.!default {' >> /etc/asound.conf
echo '        type hw' >> /etc/asound.conf
echo '        card 0' >> /etc/asound.conf
echo '}' >> /etc/asound.conf

echo -ne $lightgreen
echo Configure Video
echo -ne $normal
# Create mplayer config to use framebuffer by default
mkdir ~/.mplayer
echo 'vo=fbdev' >> ~/.mplayer/config
# Add shared library required for mplayer
ln -s /media/libz.so.1.2.8 /usr/lib/libz.so
# Create link to mplayer binary
ln -s /media/mplayer /bin/mplayer

#### test part ####

## set IP manually
# echo -ne $lightgreen
# echo Configure Network to IP $IP
# echo -ne $normal
# ifconfig eth0 $IP

## start video/audio
#echo -ne $lightgreen
#echo Start video playback
#echo -ne $normal
#mplayer /media/BigBuckBunny_DivX_HD720p_ASP.divx &

## take screenshot from camera
#	echo -ne $lightgreen
#	echo Take screenshot from camera framebuffer
#	echo -ne $normal
#	fbgrab -d /dev/fb1 /srv/www/camera.png
#	echo -ne $magenta
#	echo Screensot URL http://$IP/camera.png
#	echo -ne $normal

